%{!?ruby_sitelib: %define ruby_sitelib %(ruby -rrbconfig -e "puts Config::CONFIG['sitelibdir']")}

Name:           ruby-icon-artist
Version:        0.1.91
Release:        1%{?dist}
Summary:        Supporting libraries for icon artists

Group:          Development/Languages

License:        LGPLv2+
URL:            https://fedorahosted.org/echo-icon-theme/
Source0:        https://fedorahosted.org/released/echo-icon-theme/icon-artist-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  ruby
Requires:       ruby(abi) = 1.8
Requires:       rubygem(git)
Requires:       inkscape
Requires:       icon-naming-utils
Provides:       ruby(icon-artist) = %{version}

%description
Supporting libraries for icon artist scripts. It contains support for
generating new icons from templates, exporting PNGs and SVGs from one canvas
SVG, creating new icon theme and managing icon theme buildsys.

%prep
%setup -q -n icon-artist-%{version}


%build
export CFLAGS="$RPM_OPT_FLAGS"


%install
rm -rf %{buildroot}
DESTDIR=%{buildroot} ./install.rb

%check

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc doc/*
%{ruby_sitelib}/*
%{_datadir}/icon-artist


%changelog
* Thu Aug 13 2009 Martin Sourada <mso@fedoraproject.org> - 0.1.91-1
- New upstream release
- Patch upstreamed
- Add icon-naming-utils dependency

* Mon Jul 13 2009 Martin Sourada <mso@fedoraproject.org> - 0.1.90-2
- Backport fix for correct checking of icon name from git

* Thu Feb 05 2009 Martin Sourada <mso@fedoraproject.org> - 0.1.90-1
- Initial rpm packaging
